[package]
authors = ["Thijs Raymakers"]
edition = "2018"
readme = "README.md"
name = "rust_olimex"
version = "0.1.0"

[dependencies]
panic-halt = "0.2"
cortex-m-rt = "0.6"
cortex-m-semihosting = "0.3"
cty = "0.2"
libcanard = { path = "../libcanard" }
o1heap = { path = "../o1heap" }

[dependencies.stm32f4xx-hal]
version = "0.8"
features = ["stm32f405", "rt"]

[build-dependencies]
bindgen = "0.55"

# this lets you use `cargo fix`!
[[bin]]
name = "rust_olimex"
test = false
bench = false
